Subject: [uunet!icx.com!bob: Re: BIRD28 Pkg Extension Comments]

From: [email-masked] (Jon Powell)
Date: Thu, 1 Jun 95 16:59:45 PDT

bob,

in the following example, how do the keywords "Matrix" map into the
actual specication of the matrices. I guess that I think wee need matrix
names to avoid an absolute numbering confusion. Anyway, this is the
essence of my problem.

jon

******************* attached message ********************

Return-Path: <uunet!icx.com!bob>
Date: Thu, 1 Jun 95 16:08 PDT
From: uunet!icx.com!bob ( Bob Ross)
To: uunet!vhdl.org!ibis, uunet!uunet!qdt.com!jonp
Subject: Re: BIRD28 Pkg Extension Comments

Jon:

I do not have a good answer to the problem you posed, especially when you
extend the concept to many pins.  However, I would approach this with
several uncoupled sections at the beginning and end, and two matrix sections
in the middle.  The format would be of the form

B1 Len=0         / Len=1 Matrix / Len=1 Matrix / Len=0         / Len=0         /
B2 Len=0         / Len=1 Matrix / Len=1 Matrix / Len=1 L=x C=x / Len=0         /
B3 Len=1 L=y C=y / Len=1 Matrix / Len=1 Matrix / Len=1 L=y C=y / Len=1 L=z C=z /

Both Matrix sections would likely be Sparse_matrix types.  The first one would
describe the B1-B2 section "1" and would have no B3 row/column entries (forcing
zero values).  The second one would describe the B1-B2-B3 section "2".

Allowance is provided for one initial transmission line section and two 
final transmission line sections for this example.  The pins that do
not need these sections will have some Len=0 / zero-length sections.

The alternative to a description of this detail would be to adopt a different,
coupled lumped approach describe B1-B2-B3("2") as one coupled L-C-R value
matrix (length would not be needed since the "total" values used would
already reflect the length) to capture all of the coupling in.  This may
not be as accurate an approach, but may have some practical value.

Bob Ross,
Interconnectix, Inc.

> In addition, I would appreciate a clarifying example that indicated how
> one would represent the following structure:

> This may be the same as Bobs, though it seems that a segment that starts
> after the other segments is a problem. I think the gist of it is I don't
> see how to specify more that one matrix.

>     ____________________
> B1  |___________________|     
>     ______________________________
> B2  |_____________________________|
>                __________    x
> B3            | ________|
>               ||       ||
>               ||       ||
>             y ||       || y
>               ||       ||     z
>               ||       ||--------
>               ||       |_________

>     |    1    |    2    |    3    |

> jon